import Model, { attr, belongsTo, hasMany } from '@ember-data/model';

export default class WordModel extends Model {
  @attr ulb;
  @attr greek;
  @attr lemma;
  @attr morph;
  @attr ogntSort;
  @attr strongsNumber;

  @belongsTo('verse') verse;

  @belongsTo('lexical-entry') lexicalEntry;

  @hasMany('morph-legend') morphLegend;
}
